Openfiledialog: je dois cliquer 2 fois pour ouvrir mon fichier [Résolu]

Signaler
Messages postés
36
Date d'inscription
lundi 18 juillet 2005
Statut
Membre
Dernière intervention
18 juillet 2008
-
Messages postés
36
Date d'inscription
lundi 18 juillet 2005
Statut
Membre
Dernière intervention
18 juillet 2008
-
Bonjour à tous,

J'ai un problème avec un openfiledialog. Lorsque la fenêtre s'ouvre, je choisis mon fichier, et au lieu de l'ouvrir, la fenêtre reviens. Je reselectionne mon fichier, et là, il s'ouvre.

Mon code:

Imports System.IO
Public Class frmMain
    Private SE_App As SolidEdgeFramework.Application

    Private Sub btnImportar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnImportar.Click

        Dim strFilePath As String
        OpenFileDialog1.ShowDialog()

        With OpenFileDialog1
            .Filter = "Conjuntos (.asm)|*.asm|Piezas (.par)|*.par|Chapas (.psm)|*.psm"
            .Multiselect = False
            .CheckFileExists = True
        End With

        If OpenFileDialog1.ShowDialog = DialogResult.OK Then
            strFilePath = OpenFileDialog1.FileName
            ConnectSolidEdge(True)
            SE_App = GetObject(, "SolidEdge.Application")
            SE_App.Documents.Open(strFilePath)
            EdgeFiles.ObtainAssemblyInformation(SE_App.ActiveDocument, 1)
        End If
    End Sub
End Class

J'ai vu sur certains sites anglais le même problème, mais toujours resté sans réponse. J'espère que vous pourrez m'aider, c'est assez frustrant car mon code à l'air bon.

Merci!

Greg

3 réponses

Messages postés
14770
Date d'inscription
vendredi 14 mars 2003
Statut
Modérateur
Dernière intervention
27 février 2021
151
Bonjour

Normal, OpenFileDialog1.ShowDialog() est présent 2 fois, controle ton code.

Il est plus facile de batiser quelqu'un que de la convertir. (surtout en programmation)
NHenry (VB6, VBA excel, VB.NET, C++, C#.Net)

<fon></fon>
Messages postés
7741
Date d'inscription
mercredi 1 septembre 2004
Statut
Membre
Dernière intervention
24 septembre 2014
37
Normal, tu l'ouvre 2 fois

Imports System.IO
Public Class frmMain
    Private SE_App As SolidEdgeFramework.Application

    Private Sub btnImportar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnImportar.Click

        Dim strFilePath As String
        OpenFileDialog1.ShowDialog()

        With OpenFileDialog1
            .Filter = "Conjuntos (.asm)|*.asm|Piezas (.par)|*.par|Chapas (.psm)|*.psm"
            .Multiselect = False
            .CheckFileExists = True
        End With

        If OpenFileDialog1.ShowDialog = DialogResult.OK Then
            strFilePath = OpenFileDialog1.FileName
            ConnectSolidEdge(True)
            SE_App = GetObject(, "SolidEdge.Application")
            SE_App.Documents.Open(strFilePath)
            EdgeFiles.ObtainAssemblyInformation(SE_App.ActiveDocument, 1)
        End If
    End Sub
End Class

---- Sevyc64  (alias Casy) ---- # LE PARTAGE EST NOTRE FORCE #
Messages postés
36
Date d'inscription
lundi 18 juillet 2005
Statut
Membre
Dernière intervention
18 juillet 2008

Quel c....

Merci les gars, je suis fatigué je crois. Le pire c'est que même en debugguant je l'avais pas vu !

Bon, ben j'espère que tous mes problèmes de programmation seront de cet ordre.

Bye !